Bug 576419

Summary: transmission-gtk-1.92-1.fc12 crashed in tr_core_torrent_destroyed() when invoked from the Web GUI
Product: [Fedora] Fedora Reporter: Gordon L Goldberg <ggold>
Component: transmissionAssignee: Rahul Sundaram <metherid>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: charles, jspaleta, metherid, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:ba26397882560fb20c802f2e1160096901ebc5d1
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-17 18:21:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace none

Description Gordon L Goldberg 2010-03-23 23:53:28 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: transmission
comment: Transmission crashes when removing paused/completed file in WebUI.
component: transmission
executable: /usr/bin/transmission
kernel: 2.6.32.9-70.fc12.x86_64
package: transmission-gtk-1.92-1.fc12
rating: 4
reason: Process /usr/bin/transmission was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Pause file transfer in Web UI
2.Select remove file in Web UI
3.Trnasmission crashes

Comment 1 Gordon L Goldberg 2010-03-23 23:53:30 UTC
Created attachment 402166 [details]
File: backtrace

Comment 2 Charles Kerr 2010-04-16 03:50:49 UTC
Gordon, thanks for the steps on "How to reproduce".  Looks to me like the Web UI is a required ingredient for tickling the bug.

I think what's happening here is that we need to delegate the GTK+ calls over to the main GUI thread.

Comment 3 Charles Kerr 2010-04-16 03:54:46 UTC
New upstream ticket:

http://trac.transmissionbt.com/ticket/3143

Comment 4 Charles Kerr 2010-04-21 04:40:26 UTC
This is fixed upstream in the nightlies now.